package com.ruoyi.framework.recovery.service;

import java.util.List;
import com.ruoyi.framework.recovery.domain.WxCredit;

/**
 * 积分明细Service接口
 * 
 * @author jin
 * @date 2024-12-01
 */
public interface IWxCreditService 
{
    /**
     * 查询积分明细
     * 
     * @param id 积分明细主键
     * @return 积分明细
     */
    public WxCredit selectWxCreditById(Long id);

    /**
     * 查询积分明细列表
     * 
     * @param wxCredit 积分明细
     * @return 积分明细集合
     */
    public List<WxCredit> selectWxCreditList(WxCredit wxCredit);

    /**
     * 新增积分明细
     * 
     * @param wxCredit 积分明细
     * @return 结果
     */
    public int insertWxCredit(WxCredit wxCredit);

    /**
     * 修改积分明细
     * 
     * @param wxCredit 积分明细
     * @return 结果
     */
    public int updateWxCredit(WxCredit wxCredit);

    /**
     * 批量删除积分明细
     * 
     * @param ids 需要删除的积分明细主键集合
     * @return 结果
     */
    public int deleteWxCreditByIds(Long[] ids);

    /**
     * 删除积分明细信息
     * 
     * @param id 积分明细主键
     * @return 结果
     */
    public int deleteWxCreditById(Long id);
}
